Duplicates in Notifications panel in 3.25.x

Bug #1716267 reported by Amr Ibrahim on 2017-09-10
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Low
Sebastien Bacher
Artful
Low
Unassigned

Bug Description

* Impact
Some items are duplicated in the notifications panel of gnome-control-center

* Test case
- open gnome-control-center
- select the notifications panel
- look if archive manager and files are duplicated in the list

* Regression potential
- check that no item is missing in the list and that the file and archive manager control are working

---------------------------

I can see duplicates of 'Archive Manager' and 'Files' in the Notifications panel in the new g-c-c 3.25.x. See the attached screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: gnome-control-center 1:3.25.92.1-0ubuntu1
ProcVersionSignature: Ubuntu 4.12.0-12.13-generic 4.12.8
Uname: Linux 4.12.0-12-generic x86_64
ApportVersion: 2.20.7-0ubuntu1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Sun Sep 10 19:58:28 2017
ExecutablePath: /usr/bin/gnome-control-center
InstallationDate: Installed on 2017-09-09 (1 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170908)
SourcePackage: gnome-control-center
UpgradeStatus: No upgrade log present (probably fresh install)

Amr Ibrahim (amribrahim1987) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Changed in gnome-control-center (Ubuntu):
importance: Undecided → Medium
tags: removed: wayland-session
Sebastien Bacher (seb128) wrote :

Right, that's due to the compatibility .desktop we provide and the panel not filtering out the NoDisplay elements

Changed in gnome-control-center (Ubuntu):
importance: Medium → Low
tags: added: rls-aa-incoming
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Sebastien Bacher (seb128)
Will Cooke (willcooke) on 2017-09-27
tags: added: rls-aa-notfixing rls-bb-incoming
removed: rls-aa-incoming
Changed in gnome-control-center (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.26.1-0ubuntu4

---------------
gnome-control-center (1:3.26.1-0ubuntu4) artful; urgency=medium

  * debian/patches/ubuntu-legacy-notifications.patch:
    - Ubuntu ships compatibility names for .desktop that got renamed
      upstream, those use NoDisplay but the panel doesn't respect that key,
      skip known buggy entries for file-roller and nautilus (lp: #1716267)

  [ Didier Roche ]
  * debian/patches/ubuntu-white-lists.patch:
    - use white background for list as expected, clearer that way.

 -- Sebastien Bacher <email address hidden> Fri, 13 Oct 2017 11:39:10 +0200

Changed in gnome-control-center (Ubuntu):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

Bah, patch was missing from the serie, going to be for the next upload

Changed in gnome-control-center (Ubuntu):
status: Fix Released → Fix Committed
description: updated

Hello Amr, or anyone else affected,

Accepted gnome-control-center into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-control-center/1:3.26.1-0ubuntu5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-control-center (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
Sebastien Bacher (seb128) wrote :

the change indeed works as it should

Changed in gnome-control-center (Ubuntu Artful):
importance: Undecided → Low
tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.26.1-0ubuntu5

---------------
gnome-control-center (1:3.26.1-0ubuntu5) artful; urgency=medium

  * debian/patches/71_ubuntu_dock_settings.patch:
    - tentatively fix crashes when panel is disposed (LP: #1725219)
  * debian/patches/series, enable ubuntu-legacy-notifications.patch:
    - Ubuntu ships compatibility names for .desktop that got renamed
      upstream, those use NoDisplay but the panel doesn't respect that key,
      skip known buggy entries for file-roller and nautilus (LP: #1716267)

 -- Didier Roche <email address hidden> Tue, 24 Oct 2017 17:42:28 +0200

Changed in gnome-control-center (Ubuntu):
status: Fix Committed → Fix Released
Changed in gnome-control-center (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-control-center has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers